# class PlpDrive

A class representing information about a Disk drive on the psion. More...

Definition | `#include <plpdirent.h>`
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- PlpDrive ()
- PlpDrive (const PlpDrive &other)
- u_int32_t getMediaType ()
- void getMediaType (std::string &ret)
- u_int32_t getDriveAttribute ()
- void getDriveAttribute (std::string &ret)
- u_int32_t getMediaAttribute ()
- void getMediaAttribute (std::string &ret)
- u_int32_t getUID ()
- u_int64_t getSize ()
- u_int64_t getSpace ()
- std::string getName ()
- char getDrivechar ()

## Detailed Description

A class representing information about a Disk drive on the psion. An Object of this type is used by rfsv::devinfo for returning the information of the probed drive.

PlpDrive ()

### PlpDrive

Default constructor.

PlpDrive (const PlpDrive &other)

### PlpDrive

Copy constructor

u_int32_t getMediaType ()

### getMediaType

Retrieve the media type of the drive.

     Media types are encoded by a number
     in the range 0 .. 8 with the following
     meaning:

       0 = Not present
       1 = Unknown
       2 = Floppy
       3 = Disk
       4 = CD-ROM
       5 = RAM
       6 = Flash Disk
       7 = ROM
       8 = Remote

Returns: The media type of the probed drive.

void getMediaType (std::string &ret)

### getMediaType

Retrieve the media type of the drive. Just like the above function, but returns the media type as human readable string.

Parameters:

ret | The string is returned here.

u_int32_t getDriveAttribute ()

### getDriveAttribute

Retrieve the attributes of the drive.

     Drive attributes are encoded by a number
     in the range 0 .. 63. The bits have the
     the following meaning:

       bit 0 = local
       bit 1 = ROM
       bit 2 = redirected
       bit 3 = substituted
       bit 4 = internal
       bit 5 = removable

Returns: The attributes of the probed drive.

void getDriveAttribute (std::string &ret)

### getDriveAttribute

Retrieve the attributes of the drive. Just like the above function, but returns the attributes as human readable string.

Parameters:

ret | The string is returned here.

u_int32_t getMediaAttribute ()

### getMediaAttribute

Retrieve the attributes of the media.

     Media attributes are encoded by a number
     in the range 0 .. 15. The bits have the
     following meaning:

       bit 0 = variable size
       bit 1 = dual density
       bit 2 = formattable
       bit 3 = write protected

Returns: The attributes of the probed media.

void getMediaAttribute (std::string &ret)

### getMediaAttribute

Retrieve the attributes of the media. Just like the above function, but returns the attributes as human readable string.

Parameters:

ret | The string is returned here.

u_int32_t getUID ()

### getUID

Retrieve the UID of the drive. Each drive, except the ROM drive on a Psion has a unique ID which can be retrieved here.

Returns: The UID of the probed drive.

u_int64_t getSize ()

### getSize

Retrieve the total capacity of the drive.

Returns: The capacity of the probed drive in bytes.

u_int64_t getSpace ()

### getSpace

Retrieve the free capacity on the drive.

Returns: The free space on the probed drive in bytes.

std::string getName ()

### getName

Retrieve the volume name of the drive.

returns The volume name of the drive.

char getDrivechar ()

### getDrivechar

Retrieve the drive letter of the drive.

returns The letter of the probed drive.

- Author: Fritz Elfert <felfert@to.com>
- Generated: rrt on drom on Mon Nov 26 16:06:15 2007, using kdoc 2.0a54.